"""
Script for NodeReinfBarDiameterInput
"""

import NemAll_Python_Reinforcement as AllplanReinf

from NodeUtil.NodeBase import NodeBase
from InputControls.NodeBaseControl import NodeBaseControl

NodeBase.trace_node_name('NodeReinfBarDiameterInput')


def create_node(init_data):
    """
    Create the node

    Args:
        init_data:  data for the node initialization
    """

    return NodeReinfBarDiameterInput(init_data)


class NodeReinfBarDiameterInput(NodeBaseControl):
    """
    Definition of class NodeReinfBarDiameterInput
    """

    def __init__(self, init_data):
        """ Initialize """

        super().__init__(init_data, "BarDiameter")

        build_ele = self.build_ele

        build_ele.BarDiameter.value = AllplanReinf.ReinforcementSettings.CheckBarDiameter(build_ele.BarDiameter.value)


    def _create_output(self):
        """ Execute the node """
        return
